summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ben Mendis <ben.mendis@gmail.com>2010-05-12 23:28:40 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:28:40 +0200
commit06be89d78d4552bcd1c464d313acfa724d626b76 (patch)
treefe78cb57216f93212c248a59f46cd66329a4f8e8
parentac47f75883b16016bfecfcc3f323cce8b0e52586 (diff)
downloadslackbuilds-06be89d78d4552bcd1c464d313acfa724d626b76.tar.gz
slackbuilds-06be89d78d4552bcd1c464d313acfa724d626b76.tar.xz
development/erlang-otp-man: Added to 12.2 repository
-rw-r--r--development/erlang-otp-man/README9
-rw-r--r--development/erlang-otp-man/erlang-otp-man.SlackBuild54
-rw-r--r--development/erlang-otp-man/erlang-otp-man.info8
-rw-r--r--development/erlang-otp-man/slack-desc19
4 files changed, 90 insertions, 0 deletions
diff --git a/development/erlang-otp-man/README b/development/erlang-otp-man/README
new file mode 100644
index 0000000000..8fe0bad6ae
--- /dev/null
+++ b/development/erlang-otp-man/README
@@ -0,0 +1,9 @@
+Erlang is a general-purpose concurrent programming language and runtime
+system. The sequential subset of Erlang is a functional language, with
+strict evaluation, single assignment, and dynamic typing. It was designed
+by Ericsson to support distributed, fault-tolerant, soft-real-time,
+non-stop applications.
+
+This package contains only the man pages. You'll need to install the
+erlang-otp package first. The man pages can be accessed with the
+following command: erl -man <page>
diff --git a/development/erlang-otp-man/erlang-otp-man.SlackBuild b/development/erlang-otp-man/erlang-otp-man.SlackBuild
new file mode 100644
index 0000000000..3631814c9d
--- /dev/null
+++ b/development/erlang-otp-man/erlang-otp-man.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+## Written by halflife (vzdorovenco@yahoo.com)
+
+## Feel free to use, modify, redistribute this script.
+## If you make changes please modify the "Written by"
+## so that I don't recieve emails about a script I
+## did not write. Thanks.
+
+# Modified by Robby Workman 20071027
+# I won't change the "Written by" line, because I didn't
+# change who wrote the script. If there are questions as
+# to whether my changes caused a problem, feel free to
+# send mail to me first.
+
+# Package adaptation in order to rename it from otp-R11B
+# to erlang-otp, by LukenShiro <Lukenshiro@ngi.it>
+
+PRGNAM=erlang-otp-man
+VERSION=13B01
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+DOC_NAME_VERSION=otp_doc_man_R${VERSION}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=${PKG:-$TMP/package-$PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $PKG $OUTPUT
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/erlang
+tar xvf $CWD/$DOC_NAME_VERSION.tar.gz -C $PKG/usr/lib${LIBDIRSUFFIX}/erlang
+chown -R root:root $PKG
+chmod -R u+w,go+r-w,a-s $PKG
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/erlang-otp-man/erlang-otp-man.info b/development/erlang-otp-man/erlang-otp-man.info
new file mode 100644
index 0000000000..a8d6d93f72
--- /dev/null
+++ b/development/erlang-otp-man/erlang-otp-man.info
@@ -0,0 +1,8 @@
+PRGNAM="erlang-otp-man"
+VERSION="13B01"
+HOMEPAGE="http://www.erlang.org"
+DOWNLOAD="http://www.erlang.org/download/otp_doc_man_R13B01.tar.gz"
+MD5SUM="fa8f96159bd9a88aa2fb9e4d79d7affe"
+MAINTAINER="Ben Mendis"
+EMAIL="ben.mendis@gmail.com"
+APPROVED="rworkman"
diff --git a/development/erlang-otp-man/slack-desc b/development/erlang-otp-man/slack-desc
new file mode 100644
index 0000000000..133c556707
--- /dev/null
+++ b/development/erlang-otp-man/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+erlang-otp: Erlang (programming language)
+erlang-otp:
+erlang-otp: Erlang is a general-purpose concurrent programming language and
+erlang-otp: runtime system.
+erlang-otp: The sequential subset of Erlang is a functional language,
+erlang-otp: with strict evaluation, single assignment, and dynamic typing.
+erlang-otp: It was designed by Ericsson to support distributed,
+erlang-otp: fault-tolerant, soft-real-time, non-stop applications.
+erlang-otp:
+erlang-otp: http://www.erlang.org/
+erlang-otp: